Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionViewItemV2

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionViewItem
                      com.trolltech.qt.gui.QStyleOptionViewItemV2

All Implemented Interfaces:
  QtJambiInterface

Direct Known Subclasses:
  QStyleOptionViewItemV3

    public class QStyleOptionViewItemV2

extends QStyleOptionViewItem

The `QStyleOptionViewItemV2` class is used to describe the parameters necessary for drawing a frame in Qt 4.2 or above.

`QStyleOptionViewItemV2` inherits `QStyleOptionViewItem`.

An instance of the `QStyleOptionViewItemV2` class has type `SO_ViewItem` and version 2. The type is used internally by `QStyleOption`, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own `QStyleOption` subclass and your own styles. The version is used by `QStyleOption` subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally don't need to check it.

See `QStyleOptionFrameV2`'s detailed description for a discussion of how to handle "V2" classes.

See Also:
  `QStyleOptionViewItem`, `QStyleOption`

Nested Class Summary
`static class` | `QStyleOptionViewItemV2.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionViewItemV2.ViewItemFeature` This enum describles the different types of features an item can have.
`static class` | `QStyleOptionViewItemV2.ViewItemFeatures` This QFlag class provides flags for the int enum.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOptionViewItem
`QStyleOptionViewItem.Position, QStyleOptionViewItem.StyleOptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `QStyleOptionViewItemV2()` Constructs a `QStyleOptionViewItemV2` object.
`protected` | `QStyleOptionViewItemV2(int version)`
`` | `QStyleOptionViewItemV2(QStyleOptionViewItem other)` Constructs a `QStyleOptionViewItemV2` copy of the `other` style option which can be either of the `QStyleOptionViewItemV2` or `QStyleOptionViewItem` types.
`` | `QStyleOptionViewItemV2(QStyleOptionViewItemV2 other)` Constructs a copy of `other`.

Method Summary
`QStyleOptionViewItemV2.ViewItemFeatures` | `features()` Returns a bitwise OR of the features that describe this view item.
`static QStyleOptionViewItemV2` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QStyleOptionViewItemV2 instance pointed to by nativePointer
`static QNativePointer` | `nativePointerArray(QStyleOptionViewItemV2[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionViewItemV2 array.
`void` | `setFeatures(QStyleOptionViewItemV2.ViewItemFeature... features)` Sets a bitwise OR of the features that describe this view item to `features`.
`void` | `setFeatures(QStyleOptionViewItemV2.ViewItemFeatures features)` Sets a bitwise OR of the features that describe this view item to `features`.

Methods inherited from class com.trolltech.qt.gui.QStyleOptionViewItem
`decorationAlignment, decorationPosition, decorationSize, displayAlignment, font, nativePointerArray, setDecorationAlignment, setDecorationAlignment, setDecorationPosition, setDecorationSize, setDisplayAlignment, setDisplayAlignment, setFont, setShowDecorationSelected, setTextElideMode, showDecorationSelected, textElideMode`

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionViewItemV2

    public QStyleOptionViewItemV2(QStyleOptionViewItem other)

  Constructs a `QStyleOptionViewItemV2` copy of the `other` style option which can be either of the `QStyleOptionViewItemV2` or `QStyleOptionViewItem` types.

  If the `other` style option's version is 1, the new style option's `ViewItemFeature` value is set to `QStyleOptionViewItemV2::None`. If its version is 2, its `ViewItemFeature` value is simply copied to the new style option.

  See Also:
    version

### QStyleOptionViewItemV2

    public QStyleOptionViewItemV2(QStyleOptionViewItemV2 other)

  Constructs a copy of `other`.

### QStyleOptionViewItemV2

    protected QStyleOptionViewItemV2(int version)

### QStyleOptionViewItemV2

    public QStyleOptionViewItemV2()

  Constructs a `QStyleOptionViewItemV2` object.

Method Detail

### setFeatures

    public final void setFeatures(QStyleOptionViewItemV2.ViewItemFeature... features)

  Sets a bitwise OR of the features that describe this view item to `features`.

  See Also:
    `features`, `ViewItemFeature`

### setFeatures

    public final void setFeatures(QStyleOptionViewItemV2.ViewItemFeatures features)

  Sets a bitwise OR of the features that describe this view item to `features`.

  See Also:
    `features`, `ViewItemFeature`

### features

    public final QStyleOptionViewItemV2.ViewItemFeatures features()

  Returns a bitwise OR of the features that describe this view item.

  See Also:
    `setFeatures`, `ViewItemFeature`

### fromNativePointer

    public static QStyleOptionViewItemV2 fromNativePointer(QNativePointer nativePointer)

  This function returns the QStyleOptionViewItemV2 instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionViewItemV2[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionViewItemV2 array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD